/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct AcctInqRsAcctInqRs {
    #[serde(rename = "AcctRec", skip_serializing_if = "Option::is_none")]
    pub acct_rec: Option<Box<crate::models::AcctRec>>,
    #[serde(rename = "EFXHdr", skip_serializing_if = "Option::is_none")]
    pub efx_hdr: Option<Box<crate::models::EfxHdr>>,
    #[serde(rename = "EFXStatus", skip_serializing_if = "Option::is_none")]
    pub efx_status: Option<Box<crate::models::Status>>,
}

impl AcctInqRsAcctInqRs {
    pub fn new() -> AcctInqRsAcctInqRs {
        AcctInqRsAcctInqRs {
            acct_rec: None,
            efx_hdr: None,
            efx_status: None,
        }
    }
}
